﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data;
using System.Web.UI.WebControls;

namespace Bamboo.Cubed.AddIns.DesktopResults
{
    /// <summary>
    /// This stores the complete set of details required by the map control for display
    /// </summary>
    [Serializable]
    public class MapControlSettings
    {
        /// <summary>
        /// This initialises the map details
        /// </summary>
        public MapControlSettings()
        {
            _data = new DataTable();
            _displaysettings = new MapDisplaySettings();
            _dashboardmode = false;
            _height = Unit.Pixel(300);
            _width = Unit.Percentage(100);
        }

        private DataTable _data;
        /// <summary>
        /// The data to visualise
        /// </summary>
        public DataTable Data
        {
            get { return _data; }
            set { _data = value; }
        }

        private MapDisplaySettings _displaysettings;
        /// <summary>
        /// The display settings for the map
        /// </summary>
        public MapDisplaySettings DisplaySettings
        {
            get { return _displaysettings; }
            set { _displaysettings = value; }
        }

        private bool _dashboardmode;
        /// <summary>
        /// Whether dashboard mode is enabled
        /// </summary>
        public bool DashboardMode
        {
            get { return _dashboardmode; }
            set { _dashboardmode = value; }
        }

        private Unit _height;
        /// <summary>
        /// The height to display the map
        /// </summary>
        public Unit Height
        {
            get { return _height; }
            set { _height = value; }
        }

        private Unit _width;
        /// <summary>
        /// The width to display the map
        /// </summary>
        public Unit Width
        {
            get { return _width; }
            set { _width = value; }
        }
    }
}
