/*
 * This source file (ManageDimensionSettings.Designer.cs) is part of the Cubed(tm) analysis server. It is made available under the 
 * licensing terms below, and you are only permitted to use, compile, change, re-distribute or review this source file
 * if you agree to the terms of the license.
 * 
 * Open Source License - Cubed
 * Trademarked & Copyright  2006-2008 Brendan Hayes, Bamboo Software and contributors, All Rights Reserved
 * Portions Copyright  their respective authors, All Rights Reserved
 * Cubed is released under a dual licensing model. This model is applicable in two different situations:
 * 1) In conditions where you would like to use Cubed for commercial purposes. Under these conditions, you must 
 *    contact the copyright owner of this program and obtain a commercial license. Under these circumstances it 
 *    is illegal to use the software in any way without first obtaining a license. To do so, contact Bamboo Software 
 *    using the details at the bottom of this document. Commercial purposes include, but may not be limited to, 
 *    the following:
 *      a. Selling or licensing the software for a fee to a third party; 
 *      b. Using any portion of the source code of this software in another application which is then sold 
 *      or licensed for a fee;
 *      c. Using the software (in whole or in part) in a commercial environment, where the use of the software 
 *         in any way adds value to a business or assists in earning money.
 * 2) In other conditions, where the software is not being used in a commercial environment, and is being given away 
 *    free of charge (or the source code is being used for other non-profit purposes), the software is licensed under 
 *    the use of the GNU Public License (GPL). Please see the attached licensing document for full details. 
 */
namespace Bamboo.Cubed.Designer
{
    partial class ManageDimensionSettings
    {
        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.HeaderPanel = new Ascend.Windows.Forms.GradientPanel();
            this.HeaderImage = new System.Windows.Forms.PictureBox();
            this.HeaderLabel = new System.Windows.Forms.Label();
            this.LogDirectoryBrowser = new System.Windows.Forms.FolderBrowserDialog();
            this.ToolTips = new System.Windows.Forms.ToolTip(this.components);
            this.DimensionEnabledHint = new System.Windows.Forms.Label();
            this.DimensionEnabled = new System.Windows.Forms.CheckBox();
            this.DimensionDescriptionLabel = new System.Windows.Forms.Label();
            this.DimensionName = new System.Windows.Forms.TextBox();
            this.DimensionNameLabel = new System.Windows.Forms.Label();
            this.DimensionMemberType = new System.Windows.Forms.ComboBox();
            this.DimensionMemberTypeLabel = new System.Windows.Forms.Label();
            this.DatasourceDescriptionLabel = new System.Windows.Forms.Label();
            this.UsedDatasource = new System.Windows.Forms.ComboBox();
            this.SelectDatasourceLabel = new System.Windows.Forms.Label();
            this.DimensionDescription = new System.Windows.Forms.RichTextBox();
            this.IncludeTotalMember = new System.Windows.Forms.CheckBox();
            this.TimeDimension = new System.Windows.Forms.CheckBox();
            this.DimensionTimePeriodType = new System.Windows.Forms.ComboBox();
            this.DimensionAutoOrder = new System.Windows.Forms.CheckBox();
            this.HeaderPanel.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.HeaderImage)).BeginInit();
            this.SuspendLayout();
            // 
            // HeaderPanel
            // 
            this.HeaderPanel.Controls.Add(this.HeaderImage);
            this.HeaderPanel.Controls.Add(this.HeaderLabel);
            this.HeaderPanel.Dock = System.Windows.Forms.DockStyle.Top;
            this.HeaderPanel.Location = new System.Drawing.Point(0, 0);
            this.HeaderPanel.Name = "HeaderPanel";
            this.HeaderPanel.Size = new System.Drawing.Size(545, 36);
            this.HeaderPanel.TabIndex = 0;
            // 
            // HeaderImage
            // 
            this.HeaderImage.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.HeaderImage.Image = global::Bamboo.Cubed.Designer.Properties.Resources.DimensionSettings_22;
            this.HeaderImage.Location = new System.Drawing.Point(514, 3);
            this.HeaderImage.Name = "HeaderImage";
            this.HeaderImage.Size = new System.Drawing.Size(27, 27);
            this.HeaderImage.TabIndex = 1;
            this.HeaderImage.TabStop = false;
            // 
            // HeaderLabel
            // 
            this.HeaderLabel.AutoSize = true;
            this.HeaderLabel.Font = new System.Drawing.Font("Calibri", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.HeaderLabel.Location = new System.Drawing.Point(3, 7);
            this.HeaderLabel.Name = "HeaderLabel";
            this.HeaderLabel.Size = new System.Drawing.Size(223, 19);
            this.HeaderLabel.TabIndex = 0;
            this.HeaderLabel.Text = "Manage Dimension settings for:";
            // 
            // LogDirectoryBrowser
            // 
            this.LogDirectoryBrowser.Description = "Choose a directory to store the Cubed log files in";
            this.LogDirectoryBrowser.RootFolder = System.Environment.SpecialFolder.LocalApplicationData;
            // 
            // ToolTips
            // 
            this.ToolTips.ToolTipIcon = System.Windows.Forms.ToolTipIcon.Info;
            this.ToolTips.ToolTipTitle = "Cubed Assistance";
            // 
            // DimensionEnabledHint
            // 
            this.DimensionEnabledHint.AutoSize = true;
            this.DimensionEnabledHint.Font = new System.Drawing.Font("Calibri", 10F);
            this.DimensionEnabledHint.Location = new System.Drawing.Point(25, 222);
            this.DimensionEnabledHint.Name = "DimensionEnabledHint";
            this.DimensionEnabledHint.Size = new System.Drawing.Size(385, 17);
            this.DimensionEnabledHint.TabIndex = 17;
            this.DimensionEnabledHint.Text = "Disabled dimensions are not available for querying or consolidation.";
            // 
            // DimensionEnabled
            // 
            this.DimensionEnabled.AutoSize = true;
            this.DimensionEnabled.Checked = true;
            this.DimensionEnabled.CheckState = System.Windows.Forms.CheckState.Checked;
            this.DimensionEnabled.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.DimensionEnabled.Location = new System.Drawing.Point(9, 203);
            this.DimensionEnabled.Name = "DimensionEnabled";
            this.DimensionEnabled.Size = new System.Drawing.Size(184, 21);
            this.DimensionEnabled.TabIndex = 16;
            this.DimensionEnabled.Text = "Is this dimension enabled?";
            this.DimensionEnabled.UseVisualStyleBackColor = true;
            // 
            // DimensionDescriptionLabel
            // 
            this.DimensionDescriptionLabel.AutoSize = true;
            this.DimensionDescriptionLabel.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.DimensionDescriptionLabel.Location = new System.Drawing.Point(6, 93);
            this.DimensionDescriptionLabel.Name = "DimensionDescriptionLabel";
            this.DimensionDescriptionLabel.Size = new System.Drawing.Size(76, 17);
            this.DimensionDescriptionLabel.TabIndex = 14;
            this.DimensionDescriptionLabel.Text = "Description";
            // 
            // DimensionName
            // 
            this.DimensionName.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.DimensionName.Font = new System.Drawing.Font("Calibri", 10F);
            this.DimensionName.Location = new System.Drawing.Point(8, 62);
            this.DimensionName.Name = "DimensionName";
            this.DimensionName.Size = new System.Drawing.Size(533, 24);
            this.DimensionName.TabIndex = 13;
            this.DimensionName.Text = "New Dimension";
            // 
            // DimensionNameLabel
            // 
            this.DimensionNameLabel.AutoSize = true;
            this.DimensionNameLabel.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.DimensionNameLabel.Location = new System.Drawing.Point(4, 39);
            this.DimensionNameLabel.Name = "DimensionNameLabel";
            this.DimensionNameLabel.Size = new System.Drawing.Size(108, 17);
            this.DimensionNameLabel.TabIndex = 12;
            this.DimensionNameLabel.Text = "Dimension Name";
            // 
            // DimensionMemberType
            // 
            this.DimensionMemberType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.DimensionMemberType.Font = new System.Drawing.Font("Calibri", 9F);
            this.DimensionMemberType.FormattingEnabled = true;
            this.DimensionMemberType.Location = new System.Drawing.Point(9, 328);
            this.DimensionMemberType.Name = "DimensionMemberType";
            this.DimensionMemberType.Size = new System.Drawing.Size(272, 22);
            this.DimensionMemberType.TabIndex = 25;
            // 
            // DimensionMemberTypeLabel
            // 
            this.DimensionMemberTypeLabel.AutoSize = true;
            this.DimensionMemberTypeLabel.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.DimensionMemberTypeLabel.Location = new System.Drawing.Point(6, 308);
            this.DimensionMemberTypeLabel.Name = "DimensionMemberTypeLabel";
            this.DimensionMemberTypeLabel.Size = new System.Drawing.Size(275, 17);
            this.DimensionMemberTypeLabel.TabIndex = 24;
            this.DimensionMemberTypeLabel.Text = "Select Member Generation Relationship used";
            // 
            // DatasourceDescriptionLabel
            // 
            this.DatasourceDescriptionLabel.AutoSize = true;
            this.DatasourceDescriptionLabel.Font = new System.Drawing.Font("Calibri", 10F);
            this.DatasourceDescriptionLabel.Location = new System.Drawing.Point(6, 286);
            this.DatasourceDescriptionLabel.Name = "DatasourceDescriptionLabel";
            this.DatasourceDescriptionLabel.Size = new System.Drawing.Size(89, 17);
            this.DatasourceDescriptionLabel.TabIndex = 23;
            this.DatasourceDescriptionLabel.Text = "None Selected";
            // 
            // UsedDatasource
            // 
            this.UsedDatasource.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.UsedDatasource.Font = new System.Drawing.Font("Calibri", 9F);
            this.UsedDatasource.FormattingEnabled = true;
            this.UsedDatasource.Location = new System.Drawing.Point(9, 263);
            this.UsedDatasource.Name = "UsedDatasource";
            this.UsedDatasource.Size = new System.Drawing.Size(349, 22);
            this.UsedDatasource.TabIndex = 22;
            this.UsedDatasource.SelectedIndexChanged += new System.EventHandler(this.UsedDatasource_SelectedIndexChanged);
            // 
            // SelectDatasourceLabel
            // 
            this.SelectDatasourceLabel.AutoSize = true;
            this.SelectDatasourceLabel.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.SelectDatasourceLabel.Location = new System.Drawing.Point(6, 243);
            this.SelectDatasourceLabel.Name = "SelectDatasourceLabel";
            this.SelectDatasourceLabel.Size = new System.Drawing.Size(230, 17);
            this.SelectDatasourceLabel.TabIndex = 21;
            this.SelectDatasourceLabel.Text = "Select Datasource used by Dimension";
            // 
            // DimensionDescription
            // 
            this.DimensionDescription.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                        | System.Windows.Forms.AnchorStyles.Right)));
            this.DimensionDescription.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.DimensionDescription.Location = new System.Drawing.Point(9, 113);
            this.DimensionDescription.Name = "DimensionDescription";
            this.DimensionDescription.Size = new System.Drawing.Size(532, 91);
            this.DimensionDescription.TabIndex = 26;
            this.DimensionDescription.Text = "Enter a brief description";
            // 
            // IncludeTotalMember
            // 
            this.IncludeTotalMember.AutoSize = true;
            this.IncludeTotalMember.Checked = true;
            this.IncludeTotalMember.CheckState = System.Windows.Forms.CheckState.Checked;
            this.IncludeTotalMember.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.IncludeTotalMember.Location = new System.Drawing.Point(199, 203);
            this.IncludeTotalMember.Name = "IncludeTotalMember";
            this.IncludeTotalMember.Size = new System.Drawing.Size(312, 21);
            this.IncludeTotalMember.TabIndex = 27;
            this.IncludeTotalMember.Text = "Add a \"Total\" parent member to this dimension?";
            this.IncludeTotalMember.UseVisualStyleBackColor = true;
            // 
            // TimeDimension
            // 
            this.TimeDimension.AutoSize = true;
            this.TimeDimension.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.TimeDimension.Location = new System.Drawing.Point(299, 306);
            this.TimeDimension.Name = "TimeDimension";
            this.TimeDimension.Size = new System.Drawing.Size(212, 21);
            this.TimeDimension.TabIndex = 28;
            this.TimeDimension.Text = "Is this a time-based dimension?";
            this.TimeDimension.UseVisualStyleBackColor = true;
            this.TimeDimension.CheckedChanged += new System.EventHandler(this.TimeDimension_CheckedChanged);
            // 
            // DimensionTimePeriodType
            // 
            this.DimensionTimePeriodType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
            this.DimensionTimePeriodType.Enabled = false;
            this.DimensionTimePeriodType.Font = new System.Drawing.Font("Calibri", 9F);
            this.DimensionTimePeriodType.FormattingEnabled = true;
            this.DimensionTimePeriodType.Location = new System.Drawing.Point(299, 328);
            this.DimensionTimePeriodType.Name = "DimensionTimePeriodType";
            this.DimensionTimePeriodType.Size = new System.Drawing.Size(242, 22);
            this.DimensionTimePeriodType.TabIndex = 29;
            // 
            // DimensionAutoOrder
            // 
            this.DimensionAutoOrder.AutoSize = true;
            this.DimensionAutoOrder.Checked = true;
            this.DimensionAutoOrder.CheckState = System.Windows.Forms.CheckState.Checked;
            this.DimensionAutoOrder.Font = new System.Drawing.Font("Calibri", 10F, System.Drawing.FontStyle.Bold);
            this.DimensionAutoOrder.Location = new System.Drawing.Point(9, 356);
            this.DimensionAutoOrder.Name = "DimensionAutoOrder";
            this.DimensionAutoOrder.Size = new System.Drawing.Size(304, 21);
            this.DimensionAutoOrder.TabIndex = 30;
            this.DimensionAutoOrder.Text = "Automatically order this dimensions members?";
            this.DimensionAutoOrder.UseVisualStyleBackColor = true;
            // 
            // ManageDimensionSettings
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(7F, 15F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.DimensionAutoOrder);
            this.Controls.Add(this.DimensionTimePeriodType);
            this.Controls.Add(this.TimeDimension);
            this.Controls.Add(this.IncludeTotalMember);
            this.Controls.Add(this.DimensionDescription);
            this.Controls.Add(this.DimensionMemberType);
            this.Controls.Add(this.DimensionMemberTypeLabel);
            this.Controls.Add(this.DatasourceDescriptionLabel);
            this.Controls.Add(this.UsedDatasource);
            this.Controls.Add(this.SelectDatasourceLabel);
            this.Controls.Add(this.DimensionEnabledHint);
            this.Controls.Add(this.DimensionEnabled);
            this.Controls.Add(this.DimensionDescriptionLabel);
            this.Controls.Add(this.DimensionName);
            this.Controls.Add(this.DimensionNameLabel);
            this.Controls.Add(this.HeaderPanel);
            this.Font = new System.Drawing.Font("Calibri", 10F);
            this.Name = "ManageDimensionSettings";
            this.Size = new System.Drawing.Size(545, 383);
            this.HeaderPanel.ResumeLayout(false);
            this.HeaderPanel.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.HeaderImage)).EndInit();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private Ascend.Windows.Forms.GradientPanel HeaderPanel;
        private System.Windows.Forms.Label HeaderLabel;
        private System.Windows.Forms.PictureBox HeaderImage;
        private System.Windows.Forms.FolderBrowserDialog LogDirectoryBrowser;
        private System.Windows.Forms.ToolTip ToolTips;
        private System.Windows.Forms.Label DimensionEnabledHint;
        private System.Windows.Forms.CheckBox DimensionEnabled;
        private System.Windows.Forms.Label DimensionDescriptionLabel;
        private System.Windows.Forms.TextBox DimensionName;
        private System.Windows.Forms.Label DimensionNameLabel;
        private System.Windows.Forms.ComboBox DimensionMemberType;
        private System.Windows.Forms.Label DimensionMemberTypeLabel;
        private System.Windows.Forms.Label DatasourceDescriptionLabel;
        private System.Windows.Forms.ComboBox UsedDatasource;
        private System.Windows.Forms.Label SelectDatasourceLabel;
        private System.Windows.Forms.RichTextBox DimensionDescription;
        private System.Windows.Forms.CheckBox IncludeTotalMember;
        private System.Windows.Forms.CheckBox TimeDimension;
        private System.Windows.Forms.ComboBox DimensionTimePeriodType;
        private System.Windows.Forms.CheckBox DimensionAutoOrder;
    }
}
