/*
 * This source file (ManageLevelSettings.Designer.cs) is part of the Cubed(tm) analysis server. It is made available under the 
 * licensing terms below, and you are only permitted to use, compile, change, re-distribute or review this source file
 * if you agree to the terms of the license.
 * 
 * Open Source License - Cubed
 * Trademarked & Copyright  2006-2008 Brendan Hayes, Bamboo Software and contributors, All Rights Reserved
 * Portions Copyright  their respective authors, All Rights Reserved
 * Cubed is released under a dual licensing model. This model is applicable in two different situations:
 * 1) In conditions where you would like to use Cubed for commercial purposes. Under these conditions, you must 
 *    contact the copyright owner of this program and obtain a commercial license. Under these circumstances it 
 *    is illegal to use the software in any way without first obtaining a license. To do so, contact Bamboo Software 
 *    using the details at the bottom of this document. Commercial purposes include, but may not be limited to, 
 *    the following:
 *      a. Selling or licensing the software for a fee to a third party; 
 *      b. Using any portion of the source code of this software in another application which is then sold 
 *      or licensed for a fee;
 *      c. Using the software (in whole or in part) in a commercial environment, where the use of the software 
 *         in any way adds value to a business or assists in earning money.
 * 2) In other conditions, where the software is not being used in a commercial environment, and is being given away 
 *    free of charge (or the source code is being used for other non-profit purposes), the software is licensed under 
 *    the use of the GNU Public License (GPL). Please see the attached licensing document for full details. 
 */
namespace Bamboo.Cubed.Designer
{
    partial class ManageLevelSettings
    {
        /// <summary> 
        /// Required designer variable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary> 
        /// Clean up any resources being used.
        /// </summary>
        /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Component Designer generated code

        /// <summary> 
        /// Required method for Designer support - do not modify 
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.HeaderPanel = new Ascend.Windows.Forms.GradientPanel();
            this.HeaderImage = new System.Windows.Forms.PictureBox();
            this.HeaderLabel = new System.Windows.Forms.Label();
            this.LogDirectoryBrowser = new System.Windows.Forms.FolderBrowserDialog();
            this.ToolTips = new System.Windows.Forms.ToolTip(this.components);
            this.LevelGrid = new System.Windows.Forms.DataGridView();
            this.LevelID = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.LevelDepth = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.LevelName = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.LevelDescription = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.LevelMemberCount = new System.Windows.Forms.DataGridViewTextBoxColumn();
            this.HeaderPanel.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.HeaderImage)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.LevelGrid)).BeginInit();
            this.SuspendLayout();
            // 
            // HeaderPanel
            // 
            this.HeaderPanel.Controls.Add(this.HeaderImage);
            this.HeaderPanel.Controls.Add(this.HeaderLabel);
            this.HeaderPanel.Dock = System.Windows.Forms.DockStyle.Top;
            this.HeaderPanel.Location = new System.Drawing.Point(0, 0);
            this.HeaderPanel.Name = "HeaderPanel";
            this.HeaderPanel.Size = new System.Drawing.Size(518, 36);
            this.HeaderPanel.TabIndex = 0;
            // 
            // HeaderImage
            // 
            this.HeaderImage.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
            this.HeaderImage.Image = global::Bamboo.Cubed.Designer.Properties.Resources.Levels_22;
            this.HeaderImage.Location = new System.Drawing.Point(487, 3);
            this.HeaderImage.Name = "HeaderImage";
            this.HeaderImage.Size = new System.Drawing.Size(27, 27);
            this.HeaderImage.TabIndex = 1;
            this.HeaderImage.TabStop = false;
            // 
            // HeaderLabel
            // 
            this.HeaderLabel.AutoSize = true;
            this.HeaderLabel.Font = new System.Drawing.Font("Calibri", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.HeaderLabel.Location = new System.Drawing.Point(3, 7);
            this.HeaderLabel.Name = "HeaderLabel";
            this.HeaderLabel.Size = new System.Drawing.Size(186, 19);
            this.HeaderLabel.TabIndex = 0;
            this.HeaderLabel.Text = "Manage Level settings for:";
            // 
            // LogDirectoryBrowser
            // 
            this.LogDirectoryBrowser.Description = "Choose a directory to store the Cubed log files in";
            this.LogDirectoryBrowser.RootFolder = System.Environment.SpecialFolder.LocalApplicationData;
            // 
            // ToolTips
            // 
            this.ToolTips.ToolTipIcon = System.Windows.Forms.ToolTipIcon.Info;
            this.ToolTips.ToolTipTitle = "Cubed Assistance";
            // 
            // LevelGrid
            // 
            this.LevelGrid.AllowUserToAddRows = false;
            this.LevelGrid.AllowUserToDeleteRows = false;
            this.LevelGrid.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.AutoSize;
            this.LevelGrid.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
            this.LevelID,
            this.LevelDepth,
            this.LevelName,
            this.LevelDescription,
            this.LevelMemberCount});
            this.LevelGrid.Dock = System.Windows.Forms.DockStyle.Fill;
            this.LevelGrid.Location = new System.Drawing.Point(0, 36);
            this.LevelGrid.Name = "LevelGrid";
            this.LevelGrid.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
            this.LevelGrid.Size = new System.Drawing.Size(518, 213);
            this.LevelGrid.TabIndex = 1;
            this.LevelGrid.CellEndEdit += new System.Windows.Forms.DataGridViewCellEventHandler(this.LevelGrid_CellEndEdit);
            // 
            // LevelID
            // 
            this.LevelID.DataPropertyName = "LevelID";
            this.LevelID.HeaderText = "Level ID";
            this.LevelID.Name = "LevelID";
            this.LevelID.ReadOnly = true;
            this.LevelID.Visible = false;
            // 
            // LevelDepth
            // 
            this.LevelDepth.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.LevelDepth.DataPropertyName = "LevelDepth";
            this.LevelDepth.FillWeight = 19F;
            this.LevelDepth.HeaderText = "Level Depth";
            this.LevelDepth.Name = "LevelDepth";
            this.LevelDepth.ReadOnly = true;
            // 
            // LevelName
            // 
            this.LevelName.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.LevelName.DataPropertyName = "LevelName";
            this.LevelName.FillWeight = 15F;
            this.LevelName.HeaderText = "Name";
            this.LevelName.Name = "LevelName";
            // 
            // LevelDescription
            // 
            this.LevelDescription.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.LevelDescription.DataPropertyName = "LevelDescription";
            this.LevelDescription.FillWeight = 30F;
            this.LevelDescription.HeaderText = "Description";
            this.LevelDescription.Name = "LevelDescription";
            // 
            // LevelMemberCount
            // 
            this.LevelMemberCount.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.Fill;
            this.LevelMemberCount.DataPropertyName = "LevelMemberCount";
            this.LevelMemberCount.FillWeight = 16F;
            this.LevelMemberCount.HeaderText = "# Members";
            this.LevelMemberCount.Name = "LevelMemberCount";
            this.LevelMemberCount.ReadOnly = true;
            // 
            // ManageLevelSettings
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(7F, 15F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.Controls.Add(this.LevelGrid);
            this.Controls.Add(this.HeaderPanel);
            this.Font = new System.Drawing.Font("Calibri", 10F);
            this.Name = "ManageLevelSettings";
            this.Size = new System.Drawing.Size(518, 249);
            this.HeaderPanel.ResumeLayout(false);
            this.HeaderPanel.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.HeaderImage)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.LevelGrid)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        private Ascend.Windows.Forms.GradientPanel HeaderPanel;
        private System.Windows.Forms.Label HeaderLabel;
        private System.Windows.Forms.PictureBox HeaderImage;
        private System.Windows.Forms.FolderBrowserDialog LogDirectoryBrowser;
        private System.Windows.Forms.ToolTip ToolTips;
        private System.Windows.Forms.DataGridView LevelGrid;
        private System.Windows.Forms.DataGridViewTextBoxColumn LevelID;
        private System.Windows.Forms.DataGridViewTextBoxColumn LevelDepth;
        private System.Windows.Forms.DataGridViewTextBoxColumn LevelName;
        private System.Windows.Forms.DataGridViewTextBoxColumn LevelDescription;
        private System.Windows.Forms.DataGridViewTextBoxColumn LevelMemberCount;
    }
}
