﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Bamboo.Cubed.AddIns;
using Bamboo.Cubed.Connect;
using Bamboo.Cubed.Structures;
using Bamboo.Cubed.Engine.Desktop;

namespace Bamboo.Cubed.Desktop
{
    /// <summary>
    /// The dashboard control lays out the users dashboard items for quick viewing
    /// </summary>
    public partial class DashboardControl : System.Web.UI.UserControl
    {
        #region Internal Properties

        private DesktopDashboard _userdashboard;
        /// <summary>
        /// The current users dashboard
        /// </summary>
        public DesktopDashboard UserDashboard
        {
            get 
            {
                if (_userdashboard == null)
                {
                    if (Session[this.ID + "_UserDashboard"] == null)
                    {
                        // Load the current users dashboard
                        Session[this.ID + "_UserDashboard"] = WebDesktopManager.ReadDashboard();
                        _userdashboard = _userdashboard = (DesktopDashboard)Session[this.ID + "_UserDashboard"];
                    }
                    else
                        _userdashboard = (DesktopDashboard)Session[this.ID + "_UserDashboard"];
                }

                return _userdashboard;
            }
            set { Session[this.ID + "_UserDashboard"] = value; }
        }

        #endregion

        #region Events

        /// <summary>
        /// This prepares the desktop dashboard for the current user
        /// </summary>
        protected override void OnPreRender(EventArgs e)
        {
            base.OnPreRender(e);

            // Populate all dashboard regions
            PopulateDashboardRegions();
        }

        /// <summary>
        /// This removes the selected item from the users dashboard
        /// </summary>
        protected void ItemRemoveButton_Click(object sender, EventArgs e)
        {
            // First we need to find the item located at the given space
            LinkButton selecteditem = (LinkButton)sender;
            switch (selecteditem.ID)
            {
                case "Item1RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item1 = ItemAt(1);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item1);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item2RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item2 = ItemAt(2);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item2);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item3RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item3 = ItemAt(3);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item3);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item4RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item4 = ItemAt(4);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item4);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item5RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item5 = ItemAt(5);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item5);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item6RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item6 = ItemAt(6);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item6);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item7RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item7 = ItemAt(7);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item7);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item8RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item8 = ItemAt(8);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item8);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
                case "Item9RemoveButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item9 = ItemAt(9);

                    // Then remove the item from the users dashboard
                    UserDashboard.Items.Remove(item9);

                    // Then save the users dashboard
                    WebDesktopManager.SaveDashboard(UserDashboard);
                    break;
            }
        }

        /// <summary>
        /// This opens the selected item in a new window
        /// </summary>
        protected void ItemOpenButton_Click(object sender, EventArgs e)
        {
            // First we need to find the item located at the given space
            LinkButton selecteditem = (LinkButton)sender;
            switch (selecteditem.ID)
            {
                case "Item1OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item1 = ItemAt(1);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item1.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item1.Result);
                    break;
                case "Item2OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item2 = ItemAt(2);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item2.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item2.Result);
                    break;
                case "Item3OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item3 = ItemAt(3);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item3.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item3.Result);
                    break;
                case "Item4OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item4 = ItemAt(4);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item4.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item4.Result);
                    break;
                case "Item5OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item5 = ItemAt(5);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item5.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item5.Result);
                    break;
                case "Item6OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item6 = ItemAt(6);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item6.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item6.Result);
                    break;
                case "Item7OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item7 = ItemAt(7);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item7.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item7.Result);
                    break;
                case "Item8OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item8 = ItemAt(8);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item8.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item8.Result);
                    break;
                case "Item9OpenButton":
                    // Grab the item which should be at this panel
                    DesktopDashboardItem item9 = ItemAt(9);

                    // Then add the item to the open search & result collection
                    ((List<Guid>)Session["OpenSearches"]).Add(item9.Search);
                    ((List<Guid>)Session["OpenResults"]).Add(item9.Result);
                    break;
            }
        }

        #endregion

        #region Support Methods

        /// <summary>
        /// This method populates the regions of the dashboard based on the current users desktop dashboard
        /// </summary>
        private void PopulateDashboardRegions()
        {
            // Cycle through each item in the users dashboard and check that it has a valid position
            for (int i = 0; i < UserDashboard.Items.Count; i++ )
            {
                if (AlreadyOccupied(UserDashboard.Items[i].Column, UserDashboard.Items[i].Row, UserDashboard.Items[i].ID) ||
                    UserDashboard.Items[i].Column < 1 || UserDashboard.Items[i].Row < 1)
                {
                    // This item is occupying a spot which is already taken - so move it to the end of the
                    // collection
                    MoveItemToEnd(UserDashboard.Items[i]);
                }
            }

            // Now that all items have valid positions - save the users dashboard so that next time it is correct
            WebDesktopManager.SaveDashboard(UserDashboard);

            // Now that we have a valid dashboard collection, we should cycle through and add each dashboard item to
            // the dashboard table
            foreach (DesktopDashboardItem thisitem in UserDashboard.Items)
            {
                // First determine which item to place it in
                Panel itempanel = DashboardTableLocation(thisitem.Column, thisitem.Row);               

                // Then grab the appropriate search and result for this item
                DesktopSearch search = WebDesktopManager.ReadSearch(thisitem.Search);
                DesktopSearchResult result = search.AvailableViewers[thisitem.Result];
               
                // Then grab the results viewer control and set it's results
                WebControl resultviewer = WebDesktopManager.GetResultViewer(search, result.ResultID);
                WebDesktopManager.SetWebResults(WebDesktopManager.GetSearchResults(search), resultviewer,
                    search.ID, result.ResultID);

                // Then grab the header label to display
                Label itemlabel = DashboardItemLabel(thisitem.Column, thisitem.Row);
                itemlabel.Text = search.Name;

                // Finally add the generated result control to the dashboard item space
                itempanel.Controls.Add(resultviewer);
            }

            // Finally hide all item panels which are not used
            HideUnusedPanels();
        }

        /// <summary>
        /// This functiond determines if the users dashboard already contains an item at the given row/column
        /// </summary>
        /// <param name="column">The column the item exists in</param>
        /// <param name="row">The row the column exists in</param>
        /// <param name="itemid">the unique identifier of the item being checked</param>
        /// <returns>True if there is already an item at that row/column intercept, otherwise false</returns>
        private bool AlreadyOccupied(short column, short row, Guid itemid)
        {
            if (UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == column && thisitem.Row == row &&
                thisitem.ID != itemid) == null)
                return false;
            else
                return true;
        }

        /// <summary>
        /// This moves the given item to the end of the current collection
        /// </summary>
        /// <param name="item">The item to move</param>
        private void MoveItemToEnd(DesktopDashboardItem item)
        {
            for (short column = 1; column < 4; column++)
                for (short row = 1; row < 4; row++)
                {
                    // Check if this spot is occuped - if not then update our item to that spot
                    if (!AlreadyOccupied(column, row, new Guid()))
                    {
                        // This spot is free so use it
                        item.Column = column;
                        item.Row = row;
                        return;
                    }
                }
        }

        /// <summary>
        /// Returns the users dashboard item which should be loaded in a particular cell of the dashboard
        /// </summary>
        /// <param name="itemindex">The dashboard index</param>
        /// <returns>The item which should be located in that cell</returns>
        private DesktopDashboardItem ItemAt(short itemindex)
        {
            switch (itemindex)
            {
                case 1:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 1 && thisitem.Row == 1);
                case 2:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 2 && thisitem.Row == 1);
                case 3:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 3 && thisitem.Row == 1);
                case 4:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 1 && thisitem.Row == 2);
                case 5:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 2 && thisitem.Row == 2);
                case 6:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 3 && thisitem.Row == 2);
                case 7:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 1 && thisitem.Row == 3);
                case 8:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 2 && thisitem.Row == 3);
                case 9:
                    return UserDashboard.Items.FirstOrDefault(thisitem => thisitem.Column == 3 && thisitem.Row == 3);
            }

            return null;
        }

        /// <summary>
        /// This returns the panel which should be used based on the given column and row
        /// </summary>
        /// <param name="column">The column to use</param>
        /// <param name="row">The row to use</param>
        /// <returns>The panel to use</returns>
        private Panel DashboardTableLocation(short column, short row)
        {
            switch (column)
            {
                case 1:
                    switch (row)
                    {
                        case 1:
                            return Item1ControlPanel;
                        case 2:
                            return Item4ControlPanel;
                        case 3:
                            return Item7ControlPanel;
                    }
                    break;
                case 2:
                    switch (row)
                    {
                        case 1:
                            return Item2ControlPanel;
                        case 2:
                            return Item5ControlPanel;
                        case 3:
                            return Item8ControlPanel;
                    }
                    break;
                case 3:
                    switch (row)
                    {
                        case 1:
                            return Item3ControlPanel;
                        case 2:
                            return Item6ControlPanel;
                        case 3:
                            return Item9ControlPanel;
                    }
                    break;
            }

            return null;
        }

        /// <summary>
        /// This returns the label which should represent the given column and row
        /// </summary>
        /// <param name="column">The column to use</param>
        /// <param name="row">The row to use</param>
        /// <returns>The label to use</returns>
        private Label DashboardItemLabel(short column, short row)
        {
            switch (column)
            {
                case 1:
                    switch (row)
                    {
                        case 1:
                            return Item1HeaderLabel;
                        case 2:
                            return Item4HeaderLabel;
                        case 3:
                            return Item7HeaderLabel;
                    }
                    break;
                case 2:
                    switch (row)
                    {
                        case 1:
                            return Item2HeaderLabel;
                        case 2:
                            return Item5HeaderLabel;
                        case 3:
                            return Item8HeaderLabel;
                    }
                    break;
                case 3:
                    switch (row)
                    {
                        case 1:
                            return Item3HeaderLabel;
                        case 2:
                            return Item6HeaderLabel;
                        case 3:
                            return Item9HeaderLabel;
                    }
                    break;
            }

            return null;
        }

        /// <summary>
        /// This hides all dashboard item panels which are not being used
        /// </summary>
        private void HideUnusedPanels()
        {
            if (Item1ControlPanel.Controls.Count < 2)
                Section1Panel.Visible = false;
            else
                Section1Panel.Visible = true;
            if (Item2ControlPanel.Controls.Count < 2)
                Section2Panel.Visible = false;
            else
                Section2Panel.Visible = true;
            if (Item3ControlPanel.Controls.Count < 2)
                Section3Panel.Visible = false;
            else
                Section3Panel.Visible = true;
            if (Item4ControlPanel.Controls.Count < 2)
                Section4Panel.Visible = false;
            else
                Section4Panel.Visible = true;
            if (Item5ControlPanel.Controls.Count < 2)
                Section5Panel.Visible = false;
            else
                Section5Panel.Visible = true;
            if (Item6ControlPanel.Controls.Count < 2)
                Section6Panel.Visible = false;
            else
                Section6Panel.Visible = true;
            if (Item7ControlPanel.Controls.Count < 2)
                Section7Panel.Visible = false;
            else
                Section7Panel.Visible = true;
            if (Item8ControlPanel.Controls.Count < 2)
                Section8Panel.Visible = false;
            else
                Section8Panel.Visible = true;
            if (Item9ControlPanel.Controls.Count < 2)
                Section9Panel.Visible = false;
            else
                Section9Panel.Visible = true;
        }

        #endregion
    }
}