﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Xml;
using System.Xml.Serialization;


namespace Bamboo.Cubed.Structures
{
    /// <summary>
    /// Defines a Category to organize searches.
    /// </summary>
    [Serializable]
    [DataContract]
    public class SearchCategory
    {
        /// <summary>
        /// Initializes a new empty Search Category.
        /// </summary>
        public SearchCategory()
        {
            _id = Guid.NewGuid();
            _name = String.Empty;
        }

        /// <summary>
        /// Initializes a new Search Category based on the details given.
        /// </summary>
        /// <param name="name">The name of the search category.</param>
        public SearchCategory(string name)
        {
            _id = Guid.NewGuid();
            _name = name;
        }

        private Guid _id;
        /// <summary>
        /// The unique identifier of this search category.
        /// </summary>
        [DataMember]
        public Guid ID
        {
            get { return _id; }
            set { if(_id != value) _id=value; }
        }

        private string _name;
        /// <summary>
        /// The name of the search category.
        /// </summary>
        [DataMember]
        public string Name
        {
            get { return _name; }
            set { if (_name != value) _name = value; }
        }
    }
}
